Subject: Re: bug#39706: 28.0.50; Search prefix nroff-mode

From: Juri Linkov <[email-masked]>
Date: Tue, 25 Feb 2020 02:39:00 +0200

>> The solution already exists in text-mode from which nroff-mode inherits:
>> text-mode binds ‘center-line’ to ‘M-o M-s’.  Thus just removing the
>> keybinding ‘M-s’ from nroff-mode will make the search prefix ‘M-s’
>> of search-map available in nroff-mode, whereas ‘M-o M-s’ will call
>> ‘center-line’ previously bound to ‘M-s’.
>
> Thanks.  I'm okay with the change, but I think it should be called out
> in NEWS as an incompatible change, with an explanation why we did
> that.

Pushed to master with NEWS and removed the task from admin/release-process.

Not sure what to do with other remaining tasks in admin/release-process:

1. Gnus binds 'M-s' to 'gnus-summary-search-article-forward'.

2. Minibuffer binds 'M-s' to 'next-matching-history-element'
   (not useful any more since C-s can now search in the history).

3. PCL-CVS binds 'M-s' to 'cvs-status', and log-edit-mode binds it to
   'log-edit-comment-search-forward'.  Perhaps search commands
   on the global key binding 'M-s' are useless in these modes.

4. Rmail binds '\es' to 'rmail-search'/'rmail-summary-search'.